Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
SecondaryDatabase..::.SecondaryCursor Method (Transaction)
SecondaryDatabase Class See Also

Create a transactionally protected secondary database cursor.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public SecondaryCursor SecondaryCursor(
    	Transaction txn
    )

Visual Basic (Declaration)
    Public Function SecondaryCursor ( _
    	txn As Transaction _
    ) As SecondaryCursor

Visual C++
    public:
    SecondaryCursor^ SecondaryCursor(
    	Transaction^ txn
    )

#### Parameters

txn
  Type: BerkeleyDB..::.Transaction
  The transaction context in which the cursor may be used.

#### Return Value

A newly created cursor

# See Also

SecondaryDatabase Class
SecondaryCursor Overload
BerkeleyDB Namespace